PSTREE(1)

NAMN
pstree - visa ett träd av processer

SYNOPSIS
pstree [-a, --arguments] [-c, --compact-not] [-C, --color attr] [-g, --show-pgids] [-h, --highlight-all, -H pid, --highlight-pid pid] [-l, --long] [-n, --numeric-sort] [-N, --ns-sort ns] [-p, --show-pids] [-s, --show-parents] [-S, --ns-changes] [-t, --thread-names] [-T, --hide-threads] [-u, --uid-changes] [-Z, --security-context] [-A, --ascii, -G, --vt100, -U, --unicode] [pid, användare]
pstree -V, --version

BESKRIVNING
pstree visar körande processer som ett träd. Trädet är rotat antingen efter pid eller init om pid inte anges. Om ett användarnamn anges visas alla processträd rotade i processer som ägs av den användaren.

pstree sammanfogar visuellt identiska grenar genom att placera dem inom hakparenteser och genom att lägga till ett förled med antal repetitioner, t.ex. kommer

    init-+-getty
         |-getty
         |-getty
         `-getty

att bli

    init---4*[getty]

Barntrådar för processer hittas under föräldraprocessen och visas med processnamnet i klammerparenteser, t.ex.

    icecast2---13*[{icecast2}]

Om pstree anropas som pstree.x11 kommer det att fråga användaren på slutet av raden att trycka på retur och kommer inte att avslutas förrän det har hänt. Detta är användbart när pstree körs i en xterminal.

Vissa kärn- eller monteringsparametrar så som hidepid-flaggan för procfs, kommer att gömma information för vissa processer. I dessa situationer kommer pstree att försöka att bygga trädet utan denna information och visa processnamnen som frågetecken.

FLAGGOR

-a  Visa kommandoradsargument. Om kommandoraden för en process byts ut kommer processen att visas i parenteser. -a inaktiverar implicit kompaktering för processer men inte för trådar.

-A  Använd ASCII-tecken för att rita trädet.

-c  Inaktivera kompaktering av identiska underträd. Som standard kompakteras underträd närhelst det är möjligt.

-C  Färglägg processnamnen efter angivet attribut. pstree accepterar för närvarande endast värdet age vilket färgsätter efter processålder. Processer nyare än 60 sekunder är gröna, nyare än en timme, gula och resterande röda.

-g  Visa PGID:er. Process Grupp ID:er visas som decimala tal inom parentes efter varje processnamn. Om både PID:er och PGID:er visas så visas PID:er först.

-G  Använd VT100-linjeritningstecken.

-h  Markera aktuell process och dess förfäder. Detta gör ingenting om terminalen in har stöd för markering eller om varken den aktuella processen eller någon av dess förfäder finns i underträdet som visas.

-H  Som -h, men markera den angivna processen istället. Till skillnad från -h, kommer pstree att misslyckads om -H används och markering inte är möjligt.

-l  Visa långa rader. Som standard trunkeras rader efter antingen miljövariabeln COLUMNS eller skärmbredden. Om ingendera av dessa metoder fungerar, används som standard 132 kolumner.

-n  Sortera processer med samma förälder efter PID istället för efter namn. (Numerisk sortering.)

-N  Visa individuella träd för varje namnrymd för den angivna typen. De möjliga typerna är ipc, mnt, net, pid, time, user, uts. Vanliga användare har inte tillgång till andra användares processinformation, så utskrifterna kommer att vara begränsade.

-p  Visa PID:er. PID:er visas som decimaltal i parenteser efter varje processnamn. -p inaktiverar implicit kompaktering.

-s  Visa föräldraprocesser för den angivna processen.

-S  Visa namnrymdsövergångar. Som för -N är utskriften begränsad vid körning som en vanlig användare.

-t  Visa fullständiga namn för trådar när det finns.

-T  Göm trådar och visa endast processer.

-u  Visa uid-övergångar. Närhelst uid:en för en process skiljer sig från uid:en för dess förälder visas den nya uid:en i parenteser efter processnamnet.

-U  Använd UTF-8 (Unicode) linjeritningstecken. Under Linux 1.1-54 och senare kan UTF-8-läge aktiveras på konsolen med echo -e ' 33%8' år inaktiveras med echo -e ' 33%@'.

-V  Visa versionsinformation.

-Z  Visa aktuella säkerhetsattribut för processen. För SELInux-system kommer detta att vara säkerhetskontexten.

FILER

/proc
    plats för proc-filsystemet

FEL
Vissa teckenuppsättningar kan vara inkompatibla med VT100-tecken.

SE VIDARE
ps(1), top(1), proc(5).